<?php

namespace Infrastructure\Services\Utilities\Settings\Filters;

use Illuminate\Database\Eloquent\Builder;
use Infrastructure\Services\Utilities\UtilityInterface;

class NameFilter implements UtilityInterface
{
    public static function query(Builder $builder, mixed $value): void
    {
        $builder->where('name', $value);
    }

    public static function key(): string
    {
        return 'name';
    }
}
